<template>
    <div id="app">
        <Navegation v-if="showNav()" class="navegation" />
        <router-view></router-view>
    </div>
</template>

<script>
import Navegation from '@/components/Layout/Navegation.vue'

export default {
    name: 'App',
    components: {
        Navegation,
    },
    data() {
        return {}
    },
    mounted: function() {
        this.showNav()
    },

    methods: {
        showNav() {
            if (this.$route.path === '/') {
                return false
            } else {
                return true
            }
        },
    },
}
</script>
<style scoped>
#app {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    font-family: 'Open Sans', sans-serif;
}
body {
    margin-left: auto;
    margin-right: auto;
    background-color: rgb(242, 242, 242);
    height: 100%;
}
</style>
